### Constructor

# Gtk Buildernew_from_resource

#### Declaration [src]

    GtkBuilder*
    gtk_builder_new_from_resource (
      const char* resource_path
    )

#### Description [src]

Parses the UI definition at `resource_path`.

If there is an error locating the resource or parsing the description, then the program will be aborted.

#### Parameters

`resource_path`

  Type: `const char*`

  A `GResource` resource path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkBuilder`

A `GtkBuilder` containing the described interface.

The caller of the function takes ownership of the data, and is responsible for freeing it.